Page MenuHomePhabricator

Allow electron to render single PDF's on all projects
Closed, ResolvedPublic3 Story Points

Description

Background:

the electron PDF service has been live on German wikipedia since February, 2017. It is set as the default experience for rendering of single-article PDF's.

Acceptance criteria:

NOTE: Make sure that this task is deployed at the same time as T165956: Inform users about changes in PDF rendering service - print to PDF page

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 21 2017, 9:20 AM
ovasileva triaged this task as High priority.May 21 2017, 9:20 AM
Framawiki added a subscriber: Framawiki.
ovasileva set the point value for this task to 3.May 23 2017, 4:23 PM

Change 356881 had a related patch set uploaded (by Bmansurov; owner: Bmansurov):
[operations/mediawiki-config@master] Enable ElectronPdf on all projects

https://gerrit.wikimedia.org/r/356881

^ will be deployed on Thursday when T165956 hits production.

Restricted Application added a subscriber: Dereckson. · View Herald TranscriptJun 2 2017, 9:42 PM

The patch has been scheduled to be SWAT deployed.

Deploying later today. (Initially, it was scheduled for a wrong window.)

Change 356881 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable ElectronPdf on all projects

https://gerrit.wikimedia.org/r/356881

Tested on ruwiki (click on "Скачать как PDF" in the sidebar) and enwiki (click on "Download as PDF").

bmansurov removed bmansurov as the assignee of this task.Jun 8 2017, 6:18 PM
bmansurov added a subscriber: bmansurov.
ovasileva added a subscriber: ABorbaWMF.

Looks good from my side, passing to @ABorbaWMF for some cross-browser testing

Testing criteria:

  • go to any article on wikipedia and select "download as PDF"
  • expected: both options displaying, selecting either renders PDF

Note: try out a few browsers, and at least one rtl script

I took a quick look at this on my windows machine. I do not have a Mac laptop yet. It should be here soon. I cannot use the simulators for this as they cannot 'save' the PDF.

The resulting documents look good. @ovasileva Let me know if I should run some tests on Mac. If someone with a Mac has a few minutes that could suffice as well.



ovasileva closed this task as Resolved.Jun 13 2017, 11:24 AM

@ABorbaWMF - I tested on a mac, but I think any differences would be browser based. Seems like we're all done here!